C++++++++++++++++++++++++
C
      SUBROUTINE time_FSIZER2(NRECL,KSIZE,NRFILE,NAMFIL)
C
C++++++++++++++++++++++++
C  THIS SUBROUTINE OPENS THE FILE, 'NAMFIL', WITH A PHONY RECORD LENGTH, READS 
C  THE FIRST RECORD, AND USES THE INFO TO COMPUTE KSIZE, THE NUMBER OF SINGLE 
C  PRECISION WORDS IN A RECORD.  
C
C  THE SUBROUTINE ALSO SETS THE VALUES OF  NRECL, NRFILE, AND NAMFIL.

      IMPLICIT none

      SAVE

      integer*4 nrecl, ksize, nrfile, mrecl, ncon
      CHARACTER*6 TTL(14,3),CNAM(2)
      CHARACTER*80 NAMFIL

      real*8 SS(3)

      INTEGER IPT(3,2)

C  *****************************************************************
C  *****************************************************************
C
C  THE PARAMETERS NRECL, NRFILE, AND NAMFIL ARE TO BE SET BY THE USER
C
C  *****************************************************************

C  NRECL=1 IF "RECL" IN THE OPEN STATEMENT IS THE RECORD LENGTH IN S.P. WORDS
C  NRECL=4 IF "RECL" IN THE OPEN STATEMENT IS THE RECORD LENGTH IN BYTES
C  (for UNIX, it is probably 4)
C
      NRECL=4

C  NRFILE IS THE INTERNAL UNIT NUMBER USED FOR THE time EPHEMERIS FILE
C       n.b. possible clash with JPL routine, but that usually uses unit 12

      NRFILE=13

C  NAMFIL IS THE EXTERNAL NAME OF THE BINARY EPHEMERIS FILE


      NAMFIL="TIMEEPH"

C  *****************************************************************
C  *****************************************************************

C  **  OPEN THE DIRECT-ACCESS FILE AND GET THE POINTERS IN ORDER TO 
C  **  DETERMINE THE SIZE OF THE EPHEMERIS RECORD

      MRECL=NRECL*1000

        OPEN(NRFILE,
     *       FILE=NAMFIL,
     *       ACCESS='DIRECT',
     *       FORM='UNFORMATTED',
     *       RECL=MRECL,
     *       STATUS='OLD')

      READ(NRFILE,REC=1)TTL,CNAM,SS,NCON,ipt

      CLOSE(NRFILE)



C  FIND THE NUMBER OF time EPHEMERIS COEFFICIENTS FROM THE POINTERS
C       n.b. ipt(2,2) = 0 is the signal that the ephemeris does not
C       carry the v_E/c data.

      ksize = 2*(ipt(1,2)-1 + 3*ipt(2,2)*ipt(3,2))

      RETURN

      END
